version: "3.7"
networks:
  traefik:
    external: true
services:
  resume:
    image: git.nixc.us/colin/resume
    deploy:
      update_config:
        order: start-first
        failure_action: rollback
        delay: 5s
        delay: 10s
        parallelism: 1
      restart_policy:
        condition: on-failure
      labels:
        - "us.nixc.autodeploy=true"
        - "traefik.enable=true"
        - "traefik.http.routers.resume_resume.tls=true"
        - "traefik.http.services.resume_resume.loadbalancer.server.port=8080"
        - "traefik.http.routers.resume_resume.rule=Host(`resume.colinknapp.com`, `colinknapp.com`)"
        - "traefik.http.routers.resume_resume.entrypoints=websecure"
        - "traefik.http.routers.resume_resume.tls.certresolver=letsencryptresolver"
        - "traefik.http.routers.resume_resume.service=resume_resume"
        - "traefik.docker.network=traefik"
#        - 'traefik.http.routers.resume_resume.middlewares=authelia@docker'
    networks:
      traefik:
    logging:
      driver: "gelf"
      options:
        gelf-address: "udp://log.nixc.us:15124"
        tag: "resume_resume"

